Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el
Class ELException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jbpm.JbpmException
                      org.jbpm.jpdl.el.ELException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ELParseException

    public class ELException

extends JbpmException

Represents any of the exception conditions that arise during the operation evaluation of the evaluator.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`ELException()` Creates an ELException with no detail message.
`ELException(java.lang.String pMessage)` Creates an ELException with the provided detail message.
`ELException(java.lang.String pMessage, java.lang.Throwable pRootCause)` Creates an ELException with the given detail message and root cause.
`ELException(java.lang.Throwable pRootCause)` Creates an ELException with the given root cause.

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the root cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ELException

    public ELException()

  Creates an ELException with no detail message.

### ELException

    public ELException(java.lang.String pMessage)

  Creates an ELException with the provided detail message.

  Parameters:
    `pMessage` - the detail message

### ELException

    public ELException(java.lang.Throwable pRootCause)

  Creates an ELException with the given root cause.

  Parameters:
    `pRootCause` - the originating cause of this exception

### ELException

    public ELException(java.lang.String pMessage,
                       java.lang.Throwable pRootCause)

  Creates an ELException with the given detail message and root cause.

  Parameters:
    `pMessage` - the detail message
    `pRootCause` - the originating cause of this exception

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the root cause.

  Returns:
    the root cause of this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD